> For the complete documentation index, see [llms.txt](https://docs.velafi.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.velafi.com/velafi-1/api-reference/basic-configuration/upload-file.md).

# Upload File

This API allows you to upload invoices for a specific merchant kyc/kyb file.

Request Header: `X-BH-TOKEN: ******`

* Request Header: `Content-Type: multipart/form-data`
* Request Method: `POST`
* Request Path: `/v2/base/file/upload`
* Authorization: Required

Form **Parameters**

* **businessType**: (Required, string) The type of business is currently fixed as FIAT\_ACCOUNT
* **files**: (Required, file) Upload multiple files. The maximum number of uploaded files is 5, with each file range (min 10KB - max 3M). Supported formats are \[jpg, png, jpeg, pdf].

**Response Structure**The response will include the following fields:

```json
{
    "code": 200,
    "msg": "SUCCESS",
    "data": [
        {
            "fileName": "id-front.jpg", //The original name of the file
            "fileType": "jpg", //The type of the document
            "fileUrl": "1172300499489225472/f97d9f9b-641a-4245-8d99-aa4788015e38.jpg", //Relative file path
            "tempFileUrl": "https://chats-images-files.s3.ap.amazonaws.com/8d99-aa4788015e38.jpg?x-amz-security-token=IQoJb3JpZ2luX2VjE" //Temporary file path check
        }
    ]
}
```

**Notes**

* Ensure that valid authorization tokens are included in the request headers for successful execution.
* Check that the uploaded files meet the specified requirements (number, size, and format).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.velafi.com/velafi-1/api-reference/basic-configuration/upload-file.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
